<!--
注意：此 README 由 <https://github.com/YunoHost/apps/tree/master/tools/readme_generator> 自动生成
请勿手动编辑。
-->

# YunoHost 上的 2FAuth

[![集成程度](https://dash.yunohost.org/integration/2fauth.svg)](https://dash.yunohost.org/appci/app/2fauth) ![工作状态](https://ci-apps.yunohost.org/ci/badges/2fauth.status.svg) ![维护状态](https://ci-apps.yunohost.org/ci/badges/2fauth.maintain.svg)

[![使用 YunoHost 安装 2FAuth](https://install-app.yunohost.org/install-with-yunohost.svg)](https://install-app.yunohost.org/?app=2fauth)

*[阅读此 README 的其它语言版本。](./ALL_README.md)*

> *通过此软件包，您可以在 YunoHost 服务器上快速、简单地安装 2FAuth。*  
> *如果您还没有 YunoHost，请参阅[指南](https://yunohost.org/install)了解如何安装它。*

## 概况

2FAuth is a web based self-hosted alternative to One Time Passcode (OTP) generators like Google Authenticator, designed for both mobile and desktop.
2FAuth aims to ease you perform your 2FA authentication steps whatever the device you handle, with a clean and suitable interface.

### Features

- Manage your 2FA accounts and organize them using Groups
- Scan and decode any QR code to add account in no time
- Add custom account without QR code thanks to an advanced form
- Edit accounts, even the imported ones
- Generate TOTP and HOTP security codes

**分发版本：** 5.2.0~ynh2

**演示：** <https://demo.2fauth.app/login>

## 截图

![2FAuth 的截图](./doc/screenshots/screenshot.png)

## 文档与资源

- 官方管理文档： <https://docs.2fauth.app/>
- 上游应用代码库： <https://github.com/Bubka/2FAuth>
- YunoHost 商店： <https://apps.yunohost.org/app/2fauth>
- 报告 bug： <https://github.com/YunoHost-Apps/2fauth_ynh/issues>

## 开发者信息

请向 [`testing` 分支](https://github.com/YunoHost-Apps/2fauth_ynh/tree/testing) 发送拉取请求。

如要尝试 `testing` 分支，请这样操作：

```bash
sudo yunohost app install https://github.com/YunoHost-Apps/2fauth_ynh/tree/testing --debug
或
sudo yunohost app upgrade 2fauth -u https://github.com/YunoHost-Apps/2fauth_ynh/tree/testing --debug
```

**有关应用打包的更多信息：** <https://yunohost.org/packaging_apps>
